<script lang="ts">
  export const eventName = 'Event';
  const videos = [
    '/assets/media/madhacks/cyberwar-hack.webm',
    '/assets/media/madhacks/hack-the-planet.webm',
    '/assets/media/madhacks/hack-time.webm',
    '/assets/media/madhacks/hackers-in-the-mainframe.webm',
    '/assets/media/madhacks/hacking-in-progress.webm',
  ];
  const video = videos[Math.floor(Math.random() * videos.length)];
</script>

<svelte:head>
  <title>{eventName} - Get Hacking!</title>
</svelte:head>

<div class="jumbotron text-center">
  <h1 class="text-white">
    Welcome to the
    <br />
    {eventName}
  </h1>
  <div>
    <video class="mw-100" autoplay loop muted playsinline>
      <source src={video} type="video/webm" />
    </video>
  </div>
  <br /><br />
  <span class="pull-right">Powered by C2Games</span>
</div>
